//
//  UserPaopaoView.m
//  patrol
//
//  Created by 曹云霄 on 16/8/1.
//  Copyright © 2016年 free. All rights reserved.
//

#import "UserPaopaoView.h"
#import "CustomLabel.h"

@implementation UserPaopaoView

#define WIDTH ScreenSize.width-150



/**
 *  签到用户调用
 */
- (instancetype)signUserInitialize:(UIView *)customer withCoord:(CLLocationCoordinate2D)coord
{
    if ([self initWithCustomView:customer]) {
        //背景大小
        UIImageView *background = [[UIImageView alloc]initWithFrame:CGRectMake(0, 0, ScreenSize.width-150, 65)];
        background.image = [UIImage imageNamed:@"paopao"];
        [customer addSubview:background];
        for (int i=0; i<2; i++) {
            CustomLabel *storeName = [[CustomLabel alloc]initWithFrame:CGRectMake(0, i*20+10, WIDTH, 20)];
            if (i == 0) {
                storeName.text = @"当前坐标";
            }else
            {
                storeName.text = [NSString stringWithFormat:@"(%lf,%lf)",coord.latitude,coord.longitude];
            }
            [background addSubview:storeName];
        }
    }
    return self;
}





@end
